Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.reactor
Class IOReactorConfig.Builder

    java.lang.Object
      org.apache.http.impl.nio.reactor.IOReactorConfig.Builder

Enclosing class:
  IOReactorConfig

    public static class IOReactorConfig.Builder

extends Object

Method Summary
`IOReactorConfig` | `build()`
`static int` | `getDefaultMaxIoThreadCount()` Gets the default value for `ioThreadCount`.
`IOReactorConfig.Builder` | `setBacklogSize(int backlogSize)`
`IOReactorConfig.Builder` | `setConnectTimeout(int connectTimeout)`
`static void` | `setDefaultMaxIoThreadCount(int defaultMaxIoThreadCount)` Sets the default value for `ioThreadCount`.
`IOReactorConfig.Builder` | `setInterestOpQueued(boolean interestOpQueued)`
`IOReactorConfig.Builder` | `setIoThreadCount(int ioThreadCount)`
`IOReactorConfig.Builder` | `setRcvBufSize(int rcvBufSize)`
`IOReactorConfig.Builder` | `setSelectInterval(long selectInterval)`
`IOReactorConfig.Builder` | `setShutdownGracePeriod(long shutdownGracePeriod)`
`IOReactorConfig.Builder` | `setSndBufSize(int sndBufSize)`
`IOReactorConfig.Builder` | `setSoKeepAlive(boolean soKeepAlive)`
`IOReactorConfig.Builder` | `setSoLinger(int soLinger)`
`IOReactorConfig.Builder` | `setSoReuseAddress(boolean soReuseAddress)`
`IOReactorConfig.Builder` | `setSoTimeout(int soTimeout)`
`IOReactorConfig.Builder` | `setTcpNoDelay(boolean tcpNoDelay)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultMaxIoThreadCount

    public static int getDefaultMaxIoThreadCount()

  Gets the default value for `ioThreadCount`. Returns `Runtime.availableProcessors()` if `setDefaultMaxIoThreadCount(int)` was called with a value <=0.

  Returns:
    the default value for ioThreadCount.
  Since:
    4.4.10

### setDefaultMaxIoThreadCount

    public static void setDefaultMaxIoThreadCount(int defaultMaxIoThreadCount)

  Sets the default value for `ioThreadCount`. Use a value <= 0 to cause `getDefaultMaxIoThreadCount()` to return `Runtime.availableProcessors()`.

  Parameters:
    `defaultMaxIoThreadCount` - the default value for ioThreadCount.
  Since:
    4.4.10

### setSelectInterval

    public IOReactorConfig.Builder setSelectInterval(long selectInterval)

### setShutdownGracePeriod

    public IOReactorConfig.Builder setShutdownGracePeriod(long shutdownGracePeriod)

### setInterestOpQueued

    public IOReactorConfig.Builder setInterestOpQueued(boolean interestOpQueued)

### setIoThreadCount

    public IOReactorConfig.Builder setIoThreadCount(int ioThreadCount)

### setSoTimeout

    public IOReactorConfig.Builder setSoTimeout(int soTimeout)

### setSoReuseAddress

    public IOReactorConfig.Builder setSoReuseAddress(boolean soReuseAddress)

### setSoLinger

    public IOReactorConfig.Builder setSoLinger(int soLinger)

### setSoKeepAlive

    public IOReactorConfig.Builder setSoKeepAlive(boolean soKeepAlive)

### setTcpNoDelay

    public IOReactorConfig.Builder setTcpNoDelay(boolean tcpNoDelay)

### setConnectTimeout

    public IOReactorConfig.Builder setConnectTimeout(int connectTimeout)

### setSndBufSize

    public IOReactorConfig.Builder setSndBufSize(int sndBufSize)

### setRcvBufSize

    public IOReactorConfig.Builder setRcvBufSize(int rcvBufSize)

### setBacklogSize

    public IOReactorConfig.Builder setBacklogSize(int backlogSize)

### build

    public IOReactorConfig build()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.